MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
LTIMetadataUtils Class Reference

useful metadata type and tag functions More...

`#include <lti_metadataUtils.h>`

## Static Public Member Functions
static LTIMetadataTag | lookupTag (const char *tagName)
| get numeric value of tag name More...
static const char * | lookupName (LTIMetadataTag tag)
| get string value of numeric tag name More...
static const char * | lookupProperName (LTIMetadataTag tag)
| get pretty string value of numeric tag name More...
static const char * | lookupProperName (const char *name)
| get pretty string value of tag name More...
static const char * | name (LTIMetadataDataType dataType)
| get string representation of datatype More...
static LTIMetadataTagClass | tagClass (const char *tag)
| get class of the tag More...
static const char * | name (LTIMetadataTagClass tagClass)
| get string value of tag class More...

## Detailed Description

This class contains several static utility functions useful for operating with tag names, tag numbers, and datatypes.

Definition at line 37 of file lti_metadataUtils.h.

## Member Function Documentation

static const char* LTIMetadataUtils::lookupName | ( | LTIMetadataTag | tag) |  |
| static

This function returns the string associated with a given tag enum. It will return NULL if the tag enum is not known.

Parameters

  tag | the tag number

Returns
  the string corresponding to tag

static const char* LTIMetadataUtils::lookupProperName | ( | LTIMetadataTag | tag) |  |
| static

This function returns the prety string associated with a given tag enum. It will return NULL if the tag enum is not known.

Parameters

  tag | the tag number

Returns
  the string corresponding to tag

static const char* LTIMetadataUtils::lookupProperName | ( | const char * | name) |  |
| static

This function returns the prety string associated with a given tag enum. It will return NULL if the tag enum is not known.

Parameters

  name | the tag

Returns
  the string corresponding to tag

static LTIMetadataTag LTIMetadataUtils::lookupTag | ( | const char * | tagName) |  |
| static

This function returns the enum associated with a given tag name. It will return LTI_METADATA_TAG_Unknown if the string is not known.

Parameters

  tagName | the tagName

Returns
  the enum corresponding to tagName

static const char* LTIMetadataUtils::name | ( | LTIMetadataDataType | dataType) |  |
| static

This function returns a string representation of the given datatype, useful for debugging.

Parameters

  dataType | the datatype to use

Returns
  the string version of the given datatype

Examples:
  MetadataDump.cpp.

static const char* LTIMetadataUtils::name | ( | LTIMetadataTagClass | tagClass) |  |
| static

This function returns the string associated with the class of tag

Parameters

  tagClass | the tag class

Returns
  the string corresponding to the tag class

static LTIMetadataTagClass LTIMetadataUtils::tagClass | ( | const char * | tag) |  |
| static

This function returns the "class" associated with the given tag

Parameters

  tag | the tag

Returns
  the tag class

The documentation for this class was generated from the following file:

- lti_metadataUtils.h

LizardTech